/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.calebfontenot.lab7_calebfontenot;

import java.util.Scanner;

/**
 *
 * @author caleb
 */
public class Not1 {
    public static void main(String[] args)
    {
        System.out.print("Please enter a number between 0 and 10: ");
        int number = new Scanner(System.in).nextInt();
        /* 
        The ! is the NOT operator which reverses a boolean expression.
        If the expression is true, the not makes it false and vice-versa.
        
        the || is the OR operator which ORs 2 operands
        This is the equivalent AND1 by using OR and NOT
        
        1. The && is replaced by ||
        2. The relational operators are reversed
        3. There is a ! (NOT) outside the prenthesis
        */
        if ( ! (number < 0 || number > 10) )
        {
            System.out.println("\nThank you for entering number " + number + "!");
        }
        else {
            System.out.println("\n" + number + " is not between 0 and 10! What's wrong with you man?");
        }
    }
   
}
